package com.sikey.wa04.common.utils;

import lombok.experimental.UtilityClass;

/**
 * @Author: nelson
 * @Date: 2025/6/3
 * @Description: 消息中心
 */
@UtilityClass
public class NotificationMessagesUtil {
    // 电量不足通知
    public static String lowBattery(String deviceName, int batteryPercent) {
        return String.format("您好，宝贝【%s】的设备电量不足%d%%，请及时充电，以免影响使用。", deviceName, batteryPercent);
    }

    // 离开安全区通知
    public static String leftSafeZone(String childName, String time, String zoneName) {
        return String.format("您好，宝贝【%s】在%s离开了您设置的安全区【%s】", childName, time, zoneName);
    }

    // 进入危险区通知
    public static String enteredDangerZone(String childName, String time, String zoneName) {
        return String.format("您好，宝贝【%s】在%s进入了您设置的危险区【%s】", childName, time, zoneName);
    }

    // 添加联系人通知
    public static String newContactAdded(String childName, String contactName) {
        return String.format("您好，宝贝【%s】通过手表添加了新的联系人：【%s】", childName, contactName);
    }

    // 设备关机通知
    public static String deviceShutdown(String deviceName) {
        return String.format("您好，宝贝【%s】的设备已关机。", deviceName);
    }

    // 设备开机通知
    public static String devicePowerOn(String deviceName) {
        return String.format("您好，宝贝【%s】的设备已开机。", deviceName);
    }

    // 新版本通知
    public static String newVersionAvailable(String childName) {
        return String.format("您好，宝贝【%s】的设备发现一个新版本，请前往手表升级。", childName);
    }

    // 温度异常通知
    public static String temperatureAbnormal(String childName) {
        return String.format("您好，宝贝【%s】的设备温度异常，请暂停使用，并等待设备温度正常后再使用。", childName);
    }

    // 天气变化通知
    public static String weatherChange(String childName) {
        return String.format("您好，宝贝【%s】所在的地区天气将要发生变化，请及时关注", childName);
    }
}
